VERSION 5.00
Begin VB.Form FileDialog 
   Caption         =   "Save Dialog"
   ClientHeight    =   2745
   ClientLeft      =   2760
   ClientTop       =   2730
   ClientWidth     =   5415
   LinkTopic       =   "Form2"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2745
   ScaleWidth      =   5415
   Begin VB.ComboBox cboPattern 
      Height          =   315
      Left            =   2160
      Style           =   2  'Dropdown List
      TabIndex        =   5
      Top             =   1920
      Width           =   2055
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4680
      TabIndex        =   4
      Top             =   480
      Width           =   735
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "Ok"
      Default         =   -1  'True
      Height          =   375
      Left            =   4680
      TabIndex        =   3
      Top             =   0
      Width           =   735
   End
   Begin VB.FileListBox filList 
      Height          =   1845
      Left            =   2160
      TabIndex        =   2
      Top             =   0
      Width           =   2055
   End
   Begin VB.DirListBox dirList 
      Height          =   1890
      Left            =   0
      TabIndex        =   1
      Top             =   360
      Width           =   2055
   End
   Begin VB.DriveListBox drvList 
      Height          =   315
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   2055
   End
End
Attribute VB_Name = "FileDialog"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' True if the user canceled.
Public Canceled As Boolean

Public FileName As String
Public FilePath As String

Private Sub cboPattern_Click()
Dim pos1 As Integer
Dim pos2 As Integer
Dim txt As String

    txt = cboPattern.Text
    pos1 = InStrRev(txt, "(")
    pos2 = InStrRev(txt, ")")
    filList.Pattern = Mid$(txt, pos1 + 1, pos2 - pos1 - 1)
End Sub


Private Sub cmdCancel_Click()
    Me.Hide
End Sub


Private Sub cmdOk_Click()
    ' We did not cancel.
    Canceled = False
    FilePath = filList.Path
    FileName = filList.FileName

    Me.Hide
End Sub

Private Sub drvList_Change()
    'On Error GoTo DriveError
    dirList.Path = drvList.Drive
    Exit Sub

DriveError:
    drvList.Drive = dirList.Path
    Exit Sub
End Sub
Private Sub dirList_Change()
    filList.Path = dirList.Path
End Sub
Private Sub filList_DblClick()
    cmdOk_Click
End Sub

Private Sub Form_Load()
    ' Assume we will cancel.
    Canceled = True
    FileName = ""
    FilePath = ""

    cboPattern.AddItem "All Files (*.*)"
    cboPattern.AddItem "Text Files (*.txt)"
    cboPattern.AddItem "Bitmap Files (*.bmp)"
    cboPattern.AddItem "VB Files (*.frm;*.frx;*.vbp;*.vbw)"

    cboPattern.ListIndex = 0
End Sub


Private Sub Form_Resize()
Dim hgt As Single
Dim wid As Single

    cmdOk.Left = ScaleWidth - cmdOk.Width
    cmdCancel.Left = ScaleWidth - cmdCancel.Width

    wid = (ScaleWidth - cmdOk.Width - 120) / 2 - 120
    If wid < 120 Then wid = 120

    drvList.Width = wid

    hgt = ScaleHeight - dirList.Top
    If hgt < 120 Then hgt = 120
    dirList.Move 0, drvList.Height, wid, hgt

    filList.Move wid + 120, 0, wid, hgt
    cboPattern.Move wid + 120, hgt, wid
End Sub
